import requests
import json
from bs4 import BeautifulSoup as b
import pandas as pd

params = {
    "callname":"GetMultipleItems",
    "appid":"scottbea-xlister-PRD-6796e0ff6-14862949",
    "version":"671",
    "responseencoding":"JSON",
    "ItemID":'184228756721', # you pass in a list? If not then maybe a comma-separated
    "IncludeSelector":"ItemSpecifics",
    }

response = requests.get("https://open.api.ebay.com/shopping?", params=params)
data = response.json()
pretty_data = json.dumps(data, indent=2)

names = []
values = []
nvl = data['Item'][0]['ItemSpecifics']['NameValueList']
for nvl_dict in nvl:
    names.append(nvl_dict['Name'])
    values.append(nvl_dict['Value'])
nvl_dict = dict(zip(names, values))
data.update(nvl_dict)
df = pd.json_normalize(data)
df.to_csv('big_data.csv')

# to append items to the pandas dataframe/csv, use var = df.append(json/dict, ignore_index=True)
# you will have to redefine var as a new dataframe everytime, too for some reason (I'm wondering
# if this is a bug?). 
